//
//  ViewController.swift
//  remoteAPITest
//
//  Copyright © 2019 RiBiG Inc. All rights reserved.
//

import Cocoa

class ViewController: NSViewController {
    
    @IBOutlet weak var btnTest: NSButton!
    
    func enableButtons( enable flag : Bool) -> Void{
        self.btnTest.isEnabled = flag
    }
    
    @IBAction func OnBtnTestConnect(_ sender: NSButton) {
        
        enableButtons(enable: false)

        let app = NSApplication.shared.delegate as! AppDelegate
        
        app.rLicense.GetDispatchQueue().async{
        
            let ret = rInit_MatrixAPI()
            
            defer {
                rRelease_MatrixAPI()
                
                DispatchQueue.main.async{
                    self.enableButtons(enable: true)
                }
            }

             guard ret >= 0 else {
                
                DispatchQueue.main.async{
                    let alert = NSAlert()
                    alert.messageText = "Tetst Connect - Init_MatrixAPI Error:" + String(ret)
                    alert.runModal()
                }
                return
            }

            let serNr = rDongle_ReadSerNr(1234, 1, 85)

            DispatchQueue.main.async{
                let alert = NSAlert()
                alert.messageText = "Connect Success! Found a dongle with SerNr:\(serNr)"
                alert.runModal()
            }
        }
        
    }
    
   
    override func viewDidLoad() {
        super.viewDidLoad()

 //       let appDelegate = NSApplication.shared.delegate as! AppDelegate
 //       appDelegate.viewController = self
        
        // Do any additional setup after loading the view.   

            
   
    }

    override var representedObject: Any? {
        didSet {
        // Update the view, if already loaded.
        }
    }


}

